@import "angular-pagination";
@import "progress-bar";
@import "urgentie";

.public-search{
	.widget-search-filter-component,
	.widget-search-result-header-select,
	.widget-search-result-header-column-management,
	.widget-search-result-header-operations,
	.widget-search-result-header-display,
	.crud-table-column-header-remove,
	.block-header-title{
		display: none !important;
	}
	.widget-search-result{
		position: relative;
	}
	.widget-search-result-list{
		margin:0;
		padding:0;
	}
	.accordion-panel{
		border-bottom:none;
	}
	.widget-search{
		padding:20px 20px 20px;
		margin-top:-55px;
	}
	.block-header{
		box-sizing: border-box;
	}
	.widget-search-result-header-left button{
		padding:0;
		outline:none;
		color:#fff;
		font-size: 1.538em;
		margin-bottom:30px;
		font-weight: bold;
		&:hover{
			cursor: default;
		}
	}
	.crud .table-header .table-cell-header .crud-table-column-header-label-button:hover{
		background:transparent;
	}
	.widget-search-result-loader {
		background:rgba(255,255,255,.65);
		position:absolute;
		top: 60px;
		left: 0;
		z-index: 1;
		opacity: 0;
		display:none;
		@include transition(opacity 0.25s ease-out);
		.widget-search-result-loader-spinner-wrapper{
			position:absolute;
			top: 160px;
			left: 50%;
			margin-left:-16px;
			.widget-search-result-loader-spinner{
				background:url("/images/spinner-global.gif") no-repeat 0 0;
				width:32px;
				height:32px;
				position:fixed;
			}
		}
	}
	.widget-search-loading .widget-search-result-loader {
		opacity: 1;
		bottom:0;
		right:0;
		display:block;
	}	
}